#import "HandwritingprocessingPlugin.h"
#if __has_include(<handwritingprocessing/handwritingprocessing-Swift.h>)
#import <handwritingprocessing/handwritingprocessing-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "handwritingprocessing-Swift.h"
#endif

@implementation HandwritingprocessingPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    [HandwritingSwiftPlugins registerWithRegistrar:registrar];
//  FlutterMethodChannel* channel = [FlutterMethodChannel
//      methodChannelWithName:@"handwritingprocessing"
//            binaryMessenger:[registrar messenger]];
//  HandwritingprocessingPlugin* instance = [[HandwritingprocessingPlugin alloc] init];
//  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}
//a a
@end
